Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000690Core InformTablespublic2011-07-06 09:512014-05-07 07:34
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000690: A kind name is not rejected in a table column of things
DescriptionIn the example below, rows 2 and 3 should cause compile errors. Instead, we wind up with blank table entries.

(The say line prints "Class 2" and "Class 3", but this is the same behavior you'd see if the table entry was legitimately blank.)
Minimal Source Text To Reproduce
The Kitchen is a room. 

The apple is a thing. The pear is a thing.

Table of Whoops
thing	price
apple	1
thing	2
person	3
pear	4

When play begins:
	repeat through the Table of Whoops:
		let F be the thing entry;
		let G be the price entry;
		say "### [F] [G].";
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0001429)
graham (administrator)
2011-10-25 15:36

This is all now sorted out.

- Issue History
Date Modified Username Field Change
2011-07-06 09:51 zarf New Issue
2011-07-15 11:08 EmacsUser Status new => confirmed
2011-10-25 15:36 graham Note Added: 0001429
2011-10-25 15:37 graham Status confirmed => resolved
2011-10-25 15:37 graham Resolution open => fixed
2011-10-25 15:37 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker